#!/bin/bash 

[ -z $1 ] && echo "输入一个正则表达式参数，指明需要查找的包。本bash将给出与指定包同时安装的那些依赖包的卸载命令。" &&exit 1; 
arg=$1 
cd /var/lib/dpkg/info/ 
ls -l -t *.list|awk '$5!=0 {gsub(".list","",$8); print $6"-"$7,$8}'>~/dpkg.list 
awk '$2~/'$arg'/' ~/dpkg.list>~/tmp 
echo 找到如下结果： 
cat ~/tmp 
t=`cat ~/tmp|wc -l` 
[ $t -eq 0 ] && echo "没有找到任何包" && exit 1; 
[ $t -gt 1 ] && echo "找到以上一系列包。但需要确定唯一的一个包。" && exit 1; 
echo 可以使用以下命令，卸载全部与 `awk '{print $2}' ~/tmp` 同时安装的依赖的包 
find=`awk '{print $1}' ~/tmp` 
dpkg=`awk '$1~/'$find'/ {print $2} ' ~/dpkg.list` 
echo -------------------------------------------- 
echo sudo apt-get remove --purge $dpkg 
echo -------------------------------------------- 
cd ~ 
rm dpkg.list tmp 

